Debian Bug report logs - #539359
gnome-settings-daemon: "Error starting the GNOME Settings Daemon" message on login

version graph

Package: gnome-settings-daemon; Maintainer for gnome-settings-daemon is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-settings-daemon is src:gnome-settings-daemon.

Reported by: Pedro Ribeiro <eusou15@yahoo.com>

Date: Fri, 31 Jul 2009 03:18:01 UTC

Severity: grave

Merged with 538879, 539513, 541224, 541257

Found in versions 2.24.1-3, gnome-settings-daemon/2.24.1-3

Fixed in version 2.26.1-2

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, eusou15@yahoo.com, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#539359; Package gnome-settings-daemon. (Fri, 31 Jul 2009 03:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pedro Ribeiro <eusou15@yahoo.com>:
New Bug report received and forwarded. Copy sent to eusou15@yahoo.com, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 31 Jul 2009 03:18:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pedro Ribeiro <eusou15@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-settings-daemon: "Error starting the GNOME Settings Daemon" message on login
Date: Fri, 31 Jul 2009 04:17:10 +0100
Package: gnome-settings-daemon
Version: 2.24.1-3
Severity: normal

After a big system update about 2 days ago, I get a window with the following message when I login to GNOME:

"There was an error starting the GNOME Settings Daemon.

Some things, such as themes, sounds, or background settings may not work correctly.

The last error message was:

Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

GNOME will still try to restart the Settings Daemon next time you log in."

Everything loads correctly though, and gnome-settings-daemon is running...


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.29.6-rt23 (PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-settings-daemon depends on:
ii  gconf2                        2.26.2-1   GNOME configuration database syste
ii  libc6                         2.9-12     GNU C Library: Shared libraries
ii  libcairo2                     1.8.6-2+b1 The Cairo 2D vector graphics libra
ii  libdbus-1-3                   1.2.16-2   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.80-4     simple interprocess messaging syst
ii  libesd0                       0.2.41-5   Enlightened Sound Daemon - Shared 
ii  libfontconfig1                2.6.0-4    generic font configuration library
ii  libgconf2-4                   2.26.2-1   GNOME configuration database syste
ii  libglade2-0                   1:2.6.4-1  library to load .glade files at ru
ii  libglib2.0-0                  2.20.1-2   The GLib library of C routines
ii  libgnome-desktop-2-11         2.26.1-1   Utility library for loading .deskt
ii  libgnome2-0                   2.26.0-1   The GNOME library - runtime files
ii  libgnomekbd3                  2.26.0-1   GNOME library to manage keyboard c
ii  libgstreamer-plugins-base0.10 0.10.23-3  GStreamer libraries from the "base
ii  libgstreamer0.10-0            0.10.23-2  Core GStreamer libraries and eleme
ii  libgtk2.0-0                   2.16.1-2   The GTK+ graphical user interface 
ii  libnotify1 [libnotify1-gtk2.1 0.4.5-1    sends desktop notifications to a n
ii  libx11-6                      2:1.2.1-1  X11 client-side library
ii  libxi6                        2:1.1.4-1  X11 Input extension library
ii  libxklavier12                 3.9-1      X Keyboard Extension high-level AP
ii  libxxf86misc1                 1:1.0.1-3  X11 XFree86 miscellaneous extensio

gnome-settings-daemon recommends no packages.

Versions of packages gnome-settings-daemon suggests:
ii  gnome-screensaver             2.26.1-1   GNOME screen saver and locker
ii  metacity [x-window-manager]   1:2.26.0-3 lightweight GTK+ window manager
ii  openbox [x-window-manager]    3.4.7.2-4  standards compliant, fast, light-w
ii  twm [x-window-manager]        1:1.0.4-2  Tab window manager
ii  x11-xserver-utils             7.4+2      X server utilities

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#539359; Package gnome-settings-daemon. (Fri, 31 Jul 2009 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Vlasov <sachavav@tut.by>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 31 Jul 2009 14:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 539359@bugs.debian.org (full text, mbox):

From: Alexander Vlasov <sachavav@tut.by>
To: Debian Bug Tracking System <539359@bugs.debian.org>
Subject: gnome-settings-daemon: Same bug
Date: Fri, 31 Jul 2009 17:55:19 +0300
Package: gnome-settings-daemon
Version: 2.24.1-3
Severity: normal


I have the same error


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-settings-daemon depends on:
ii  gconf2                        2.26.2-1   GNOME configuration database syste
ii  libc6                         2.9-12     GNU C Library: Shared libraries
ii  libcairo2                     1.8.6-2+b1 The Cairo 2D vector graphics libra
ii  libdbus-1-3                   1.2.16-2   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.80-4     simple interprocess messaging syst
ii  libesd0                       0.2.41-5   Enlightened Sound Daemon - Shared 
ii  libfontconfig1                2.6.0-4    generic font configuration library
ii  libgconf2-4                   2.26.2-1   GNOME configuration database syste
ii  libglade2-0                   1:2.6.4-1  library to load .glade files at ru
ii  libglib2.0-0                  2.20.1-2   The GLib library of C routines
ii  libgnome-desktop-2-11         2.26.1-1   Utility library for loading .deskt
ii  libgnome2-0                   2.26.0-1   The GNOME library - runtime files
ii  libgnomekbd3                  2.26.0-1   GNOME library to manage keyboard c
ii  libgstreamer-plugins-base0.10 0.10.23-3  GStreamer libraries from the "base
ii  libgstreamer0.10-0            0.10.23-2  Core GStreamer libraries and eleme
ii  libgtk2.0-0                   2.16.1-2   The GTK+ graphical user interface 
ii  libnotify1 [libnotify1-gtk2.1 0.4.5-1    sends desktop notifications to a n
ii  libx11-6                      2:1.2.1-1  X11 client-side library
ii  libxi6                        2:1.1.4-1  X11 Input extension library
ii  libxklavier12                 3.9-1      X Keyboard Extension high-level AP
ii  libxxf86misc1                 1:1.0.1-3  X11 XFree86 miscellaneous extensio

gnome-settings-daemon recommends no packages.

Versions of packages gnome-settings-daemon suggests:
ii  gnome-screensaver             2.26.1-1   GNOME screen saver and locker
ii  metacity [x-window-manager]   1:2.26.0-3 lightweight GTK+ window manager
ii  x11-xserver-utils             7.4+2      X server utilities

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#539359; Package gnome-settings-daemon. (Sun, 09 Aug 2009 01:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brent Goodrick <bgoodr@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 09 Aug 2009 01:57:02 GMT) Full text and rfc822 format available.

Message #15 received at 539359@bugs.debian.org (full text, mbox):

From: Brent Goodrick <bgoodr@gmail.com>
To: 539359@bugs.debian.org
Subject: Seems to occur on laptops but not on desktop PC's
Date: Sat, 8 Aug 2009 18:53:39 -0700
[Message part 1 (text/plain, inline)]
I have a Debian Lenny desktop PC (64-bit), and a Debian Lenny laptop
(32-bit).  The problem occurs for me only on the laptop in the same way as
given by
http://www.linuxquestions.org/questions/debian-26/gnome-settings-daemon-error-743425/#post3636199so
there are others that are seeing this as well.  Both desktop and
laptop
systems are kept up to date for Debian updates.

One serious aspect of this is that the dialog that shows up does not present
sufficient info to allow the user to triage the problem themselves (i.e.,
the message is too vague to be of any use).

My laptop is a IBM Thinkpad R51.   "About Gnome" for my laptop exhibiting
the problem shows:

Version: 2.26.1
Build Date: 04/14/2009

Thanks,
Brent

P.S., Keep up the good work! I am otherwise quite happy with the Debian
Linux distribution!
[Message part 2 (text/html, inline)]

Severity set to 'grave' from 'normal' Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Wed, 12 Aug 2009 20:51:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#539359; Package gnome-settings-daemon. (Wed, 12 Aug 2009 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 539359@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 12 Aug 2009 20:54:03 GMT) Full text and rfc822 format available.

Message #22 received at 539359@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Brent Goodrick <bgoodr@gmail.com>, 539359@bugs.debian.org
Cc: Pedro Ribeiro <eusou15@yahoo.com>, Alexander Vlasov <sachavav@tut.by>
Subject: Re: Bug#539359: Seems to occur on laptops but not on desktop PC's
Date: Wed, 12 Aug 2009 22:47:31 +0200
[Message part 1 (text/plain, inline)]
Le samedi 08 août 2009 à 18:53 -0700, Brent Goodrick a écrit :
> I have a Debian Lenny desktop PC (64-bit), and a Debian Lenny laptop
> (32-bit).  The problem occurs for me only on the laptop in the same
> way as given by
> http://www.linuxquestions.org/questions/debian-26/gnome-settings-daemon-error-743425/#post3636199 so there are others that are seeing this as well.  Both desktop and laptop systems are kept up to date for Debian updates.

Can any of you tell me whether upgrading gnome-settings-daemon to
version 2.26 from unstable, or downgrading gnome-control-center to
version 2.24 from July, solves the bug?

Thanks,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 539359 539513 541224 541257. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Wed, 12 Aug 2009 21:00:07 GMT) Full text and rfc822 format available.

Forcibly Merged 538879 539359 539513 541224 541257. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 13 Aug 2009 07:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#539359; Package gnome-settings-daemon. (Fri, 14 Aug 2009 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brent Goodrick <bgoodr@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 14 Aug 2009 15:15:03 GMT) Full text and rfc822 format available.

Message #31 received at 539359@bugs.debian.org (full text, mbox):

From: Brent Goodrick <bgoodr@gmail.com>
To: 539359@bugs.debian.org
Cc: Pedro Ribeiro <eusou15@yahoo.com>, Alexander Vlasov <sachavav@tut.by>
Subject: Re: Bug#539359: Seems to occur on laptops but not on desktop PC's
Date: Fri, 14 Aug 2009 08:12:42 -0700
2009/8/12 Josselin Mouette <joss@debian.org>
>
> Le samedi 08 août 2009 à 18:53 -0700, Brent Goodrick a écrit :
> > I have a Debian Lenny desktop PC (64-bit), and a Debian Lenny laptop
> > (32-bit).  The problem occurs for me only on the laptop in the same
> > way as given by
> > http://www.linuxquestions.org/questions/debian-26/gnome-settings-daemon-error-743425/#post3636199 so there are others that are seeing this as well.  Both desktop and laptop systems are kept up to date for Debian updates.
>
> Can any of you tell me whether upgrading gnome-settings-daemon to
> version 2.26 from unstable, or downgrading gnome-control-center to
> version 2.24 from July, solves the bug?
>

Hi Josselin,

"sudo dpkg --list gnome-settings-daemon" for my laptop returns:


Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
ii  gnome-settings 2.24.1-3       daemon handling the GNOME session settings


If you can show me how to temporarily downgrade or upgrade without
destabilizing the GNOME setup or any other setup, and without forcing
modification of other parts of my setup, I would be happy to try it
out.

Thanks,
Brent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#539359; Package gnome-settings-daemon. (Fri, 14 Aug 2009 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brent Goodrick <bgoodr@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 14 Aug 2009 15:33:06 GMT) Full text and rfc822 format available.

Message #36 received at 539359@bugs.debian.org (full text, mbox):

From: Brent Goodrick <bgoodr@gmail.com>
To: 539359@bugs.debian.org
Cc: Pedro Ribeiro <eusou15@yahoo.com>, Alexander Vlasov <sachavav@tut.by>
Subject: Re: Bug#539359: Seems to occur on laptops but not on desktop PC's
Date: Fri, 14 Aug 2009 08:16:07 -0700
On Fri, Aug 14, 2009 at 8:12 AM, Brent Goodrick<bgoodr@gmail.com> wrote:
> 2009/8/12 Josselin Mouette <joss@debian.org>
>>
>> Le samedi 08 août 2009 à 18:53 -0700, Brent Goodrick a écrit :
>> > I have a Debian Lenny desktop PC (64-bit), and a Debian Lenny laptop
>> > (32-bit).  The problem occurs for me only on the laptop in the same
>> > way as given by
>> > http://www.linuxquestions.org/questions/debian-26/gnome-settings-daemon-error-743425/#post3636199 so there are others that are seeing this as well.  Both desktop and laptop systems are kept up to date for Debian updates.
>>
>> Can any of you tell me whether upgrading gnome-settings-daemon to
>> version 2.26 from unstable, or downgrading gnome-control-center to
>> version 2.24 from July, solves the bug?
>>
>
> Hi Josselin,
>
> "sudo dpkg --list gnome-settings-daemon" for my laptop returns:
>
>
> Desired=Unknown/Install/Remove/Purge/Hold
> | Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
> |/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
> ||/ Name           Version        Description
> +++-==============-==============-============================================
> ii  gnome-settings 2.24.1-3       daemon handling the GNOME session settings
>
>
> If you can show me how to temporarily downgrade or upgrade without
> destabilizing the GNOME setup or any other setup, and without forcing
> modification of other parts of my setup, I would be happy to try it
> out.
>
> Thanks,
> Brent
>

Update: To clarify my concern about destabilizing, reference the
thread at http://www.linuxquestions.org/questions/debian-26/error-starting-the-gnome-settings-daemon-746581/#post3641732
where it seems that the upgrading of that package to the unstable
version pulls in other package dependencies which I probably don't
want to have to figure out how to unroll. :)

bg




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#539359; Package gnome-settings-daemon. (Wed, 19 Aug 2009 15:00:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Talbut <jt@dpets.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 19 Aug 2009 15:00:19 GMT) Full text and rfc822 format available.

Message #41 received at 539359@bugs.debian.org (full text, mbox):

From: John Talbut <jt@dpets.co.uk>
To: 539359@bugs.debian.org
Subject: Upgrading seems to work
Date: Wed, 19 Aug 2009 15:49:18 +0100
I upgraded gnome-settings-daemon to version 2.26 from unstable (added unstable 
to sources.list, u in aptitude, + gnome-settings-daemon, it pulled in a few 
dependencies, particularly x-server drivers, installed, removed unstable from 
sources.list and u again in aptitude)

And the problem seems to be resolved.

Mind you, is seem to have lost the shut down button!




Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 15:48:09 GMT) Full text and rfc822 format available.

Notification sent to Pedro Ribeiro <eusou15@yahoo.com>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 15:48:09 GMT) Full text and rfc822 format available.

Message #46 received at 539359-done@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: John Talbut <jt@dpets.co.uk>, 539359-done@bugs.debian.org
Subject: Re: Bug#539359: Upgrading seems to work
Date: Wed, 19 Aug 2009 17:32:40 +0200
[Message part 1 (text/plain, inline)]
Version: 2.26.1-2

Le mercredi 19 août 2009 à 15:49 +0100, John Talbut a écrit : 
> I upgraded gnome-settings-daemon to version 2.26 from unstable (added unstable 
> to sources.list, u in aptitude, + gnome-settings-daemon, it pulled in a few 
> dependencies, particularly x-server drivers, installed, removed unstable from 
> sources.list and u again in aptitude)
> 
> And the problem seems to be resolved.

OK, closing the bug then. Note that in the next upload of
gnome-control-center it will force gnome-settings-daemon to be upgraded
with it.

> Mind you, is seem to have lost the shut down button!

You need to restart GDM or reboot after consolekit has been installed.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 15:48:11 GMT) Full text and rfc822 format available.

Notification sent to Rick Thomas <rbthomas@greybox.rcthomas.org>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 15:48:12 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 15:48:15 GMT) Full text and rfc822 format available.

Notification sent to alfredo amontagna <alfredoa@linuxfan.it>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 15:48:15 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 15:48:19 GMT) Full text and rfc822 format available.

Notification sent to Piotr <upiter77@lycos.com>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 15:48:19 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Wed, 19 Aug 2009 15:48:22 GMT) Full text and rfc822 format available.

Notification sent to Paul Hartley <phartley@gmail.com>:
Bug acknowledged by developer. (Wed, 19 Aug 2009 15:48:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#539359; Package gnome-settings-daemon. (Thu, 20 Aug 2009 09:00:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 20 Aug 2009 09:00:19 GMT) Full text and rfc822 format available.

Message #71 received at 539359@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: John Talbut <jt@dpets.co.uk>
Cc: 539359@bugs.debian.org
Subject: Re: Bug#539359: Missing shutdown button
Date: Thu, 20 Aug 2009 10:29:33 +0200
[Message part 1 (text/plain, inline)]
Le jeudi 20 août 2009 à 06:42 +0100, John Talbut a écrit : 
> >> Mind you, I seem to have lost the shut down button!
> 
> That is, the button at the bottom of the Gnome Main Menu
> > 
> > You need to restart GDM or reboot after consolekit has been installed.
> > 
> Has not worked, any other suggestions?

Is gnome-power-manager running? If not, this is expected.

If it is running but this still fails, please send the output of
ck-list-sessions.

Thanks,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Sep 2009 07:27:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:31:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.